/*
 * https://github.com/Bynder/bynder-js-sdk
 *
 * Example:

import restApi from './api'

const api = new restApi({
    baseURL: '/api/'
})

console.log(api)

api
 .Colleagues
 .getList()
 .then(function(a,b,c){
    console.log('result Colleagues getList', a,b,c)
 });

api
 .Colleagues
 .getById({id: '1880710396'})
 .then(function(a,b,c){
     console.log('result Colleagues getById', a,b,c)
 });

api
 .PBX
 .Settings
 .LanguageAndRegion
 .get()
 .then(function(a,b,c){
     console.log('result LanguageAndRegion', a,b,c)
 });

*/

import core from './Core';
import Colleagues from './Colleagues';
import HttpSecurity from './PBX/Settings/HttpSecurity';
import LanguageAndRegion from './PBX/Settings/LanguageAndRegion';
import AdSingleSignOn from './PBX/Settings/AdSingleSignOn';
import Dhcp from './PBX/Settings/Dhcp';
import Devices from './PBX/devices/';
import Network from './PBX/Settings/Network';
import FaxSms from './PBX/Settings/FaxSms';
import Ntp from './PBX/Settings/Ntp';
import Smtp from './PBX/Settings/Smtp';
import Upgrade from './PBX/Upgrade';
import Reboot from './PBX/System/Reboot';
import Backup from './PBX/System/Backup';
import Snmp from './PBX/Settings/Snmp';

core.addModule(Colleagues);
core.addModule(HttpSecurity);
core.addModule(LanguageAndRegion);
core.addModule(AdSingleSignOn);
core.addModule(Dhcp);
core.addModule(Network);
core.addModule(FaxSms);
core.addModule(Ntp);
core.addModule(Devices);
core.addModule(Smtp);
core.addModule(Upgrade);
core.addModule(Reboot);
core.addModule(Backup);
core.addModule(Snmp);

export default core;
